/*
 * @Author: zc
 * @description 业务管理-二次回访
 */
import request from '/@/utils/request';
/**
 * @description 二次回访申请基础信息
 * @param {object} params
 */
export const secondVisitBaseData = (params?: object) => {
	return request({
		url: `/api/v1/Order/visitapply/basedata`,
		method: 'get',
		params,
	});
};
/**
 * @description 可申请二次回访列表
 * @param {object} params
 */
export const secondVisitagainlist = (params: object) => {
	return request({
		url: `/api/v1/Order/visitapply/visitagainlist`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次回访申请列表
 * @param {object} params
 */
export const secondVisitList = (params: object) => {
	return request({
		url: `/api/v1/Order/visitapply/list`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次回访申请
 * @param {object} data
 */
export const secondVisitAdd = (data: object) => {
	return request({
		url: `/api/v1/Order/visitapply/add`,
		method: 'post',
		data,
	});
};
/**
 * @description 二次回访审核
 * @param {object} data
 */
export const secondVisitAudit = (data: object) => {
	return request({
		url: `/api/v1/Order/visitapply/examin`,
		method: 'post',
		data,
	});
};
/**
 * @description 二次回访详情
 * @param {object} id
 */
export const secondVisitDetail = (id: string) => {
	return request({
		url: `/api/v1/Order/visitapply/${id}`,
		method: 'get',
	});
};
